@ECHO OFF

:CHECK_SYSTEM_64BIT
if not exist "C:\Program Files (x86)\SEGGER\JLink_V641a\JFlash.exe" goto CHECK_SYSTEM_32BIT
set JFlash="C:\Program Files (x86)\SEGGER\JLink_V641a\JFlash.exe"
goto DOWNLOAD
:CHECK_SYSTEM_32BIT
if not exist "C:\Program Files\SEGGER\JLink_V641a\JFlash.exe" goto INSTALL_ERR
set JFlash="C:\Program Files\SEGGER\JLink_V641a\JFlash.exe"
goto DOWNLOAD
:INSTALL_ERR
echo Please install JLink_Windows_V641a.exe first!
pause
goto END

:DOWNLOAD
set JFlashPrj="project\nRF52832_xxAA.jflash"

set App="production_final.hex"

ECHO Open a project and data file, start auto processing and exit
:: Download App
%JFlash% -openprj%JFlashPrj% -open%App% -auto
IF ERRORLEVEL 1 goto ERROR
goto END

:ERROR
ECHO J-Flash ARM: Error!
pause

:END
